# -*- coding: utf-8 -*-
#
# File: config.py


__author__ = """Erico Andrei <erico@simplesconsultoria.com.br>"""
__docformat__ = 'plaintext'

PROJECTNAME = 'sc.social.bookmarks'

default_providers = []
all_providers = [{'id':'','url':'','title':'','logo':''},
                 {'id':'Del.icio.us','url':'http://del.icio.us/post?url=%(url)s&amp;title=%(title)s','logo':'delicious.png'},
                 {'id':'Facebook','url':'http://www.facebook.com/share.php?u=%(url)s','logo':'facebook.jpg'},
                 {'id':'Google Bookmarks','url':'http://www.google.com/bookmarks/mark?op=add&bkmk=%(url)s&title=%(title)s','logo':'google.jpg'},
                 {'id':'Live','url':'https://favorites.live.com/quickadd.aspx?marklet=1&mkt=en-us&url=%(url)s&title=%(title)s&top=1','logo':'live.jpg'},
                 {'id':'Yahoo Bookmarks','url':'http://bookmarks.yahoo.com/toolbar/savebm?opener=tb&amp;u=%(url)s&amp;t=%(title)s','logo':'my_yahoo.jpg'},
                 {'id':'Technorati','url':'http://technorati.com/faves?add=%(url)s','logo':'technorati.png'},
                 {'id':'Twitter','url':'http://twitter.com/home?status=%(url)s','logo':'twitter.gif'},
                 {'id':'MySpace','url':'http://www.myspace.com/Modules/PostTo/Pages/?c=%(url)s&amp;t=%(title)s','logo':'myspace.png'},
                 {'id':'blinkbits','url':'http://www.blinkbits.com/bookmarklets/save.php?v=1&amp;source_url=%(url)s&amp;title=%(title)s&amp;body=%(title)s','logo':'blinkbits.png'},
                 {'id':'BlinkList','url':'http://www.blinklist.com/index.php?Action=Blink/addblink.php&amp;Url=%(url)s&amp;Title=%(title)s','logo':'blinklist.png'},
                 {'id':'BlogMemes','url':'http://www.blogmemes.net/post.php?url=%(url)s&amp;title=%(title)s','logo':'blogmemes.png'},
                 {'id':'blogmarks','url':'http://blogmarks.net/my/new.php?mini=1&amp;simple=1&amp;url=%(url)s&amp;title=%(title)s','logo':'blogmarks.png'},
                 {'id':'blogtercimlap','url':'http://cimlap.blogter.hu/index.php?action=suggest_link&amp;title=%(title)s&amp;url=%(url)s','logo':'blogter.png'},
                 {'id':'Blue Dot','url':'http://bluedot.us/Authoring.aspx?u=%(url)s&amp;title=%(title)s','logo':'bluedot.png'},
                 {'id':'Book.mark.hu','url':'http://book.mark.hu/bookmarks.php/?action=add&amp;address=%(url)s%2F&amp;title=%(title)s','logo':'bookmarkhu.png'},
                 {'id':'Bumpzee','url':'http://www.bumpzee.com/bump.php?u=%(url)s','logo':'bumpzee.png'},
                 {'id':'co.mments','url':'http://co.mments.com/track?url=%(url)s&amp;title=%(title)s','logo':'co.mments.gif'},
                 {'id':'connotea','url':'http://www.connotea.org/addpopup?continue=confirm&amp;uri=%(url)s&amp;title=%(title)s','logo':'connotea.png'},
                 {'id':'De.lirio.us','url':'http://de.lirio.us/rubric/post?uri=%(url)s&amp;title=%(title)s&amp;when_done=go_back','logo':'delirious.png'},
                 {'id':'Digg','url':'http://digg.com/submit?phase=2&amp;url=%(url)s&amp;title=%(title)s','logo':'digg.png'},
                 {'id':'DotNetKicks','url':'http://www.dotnetkicks.com/kick/?url=%(url)s&amp;title=%(title)s','logo':'dotnetkicks.png'},
                 {'id':'DZone','url':'http://www.dzone.com/links/add.html?url=%(url)s&amp;title=%(title)s','logo':'dzone.png'},
                 {'id':'Fark','url':'http://cgi.fark.com/cgi/fark/edit.pl?new_url=%(url)s&amp;new_comment=%(title)s&amp;new_comment=&amp;linktype=Misc','logo':'fark.png'},
                 {'id':'feedmelinks','url':'http://feedmelinks.com/categorize?from=toolbar&amp;op=submit&amp;url=%(url)s&amp;name=%(title)s','logo':'feedmelinks.png'},
                 {'id':'Furl','url':'http://www.furl.net/storeIt.jsp?u=%(url)s&amp;t=%(title)s','logo':'furl.png'},
                 {'id':'Fleck','url':'http://extension.fleck.com/?v=b.0.804&amp;url=%(url)s','logo':'fleck.gif'},
                 {'id':'Gwar','url':'http://www.gwar.pl/DodajGwar.html?u=%(url)s','logo':'gwar.gif'},
                 {'id':'Haohao','url':'http://www.haohaoreport.com/submit.php?url=%(url)s&amp;title=%(title)s','logo':'haohao.png'},
                 {'id':'Hemidemi','url':'http://www.hemidemi.com/user_bookmark/new?title=%(title)s&amp;url=%(url)s','logo':'hemidemi.png'},
                 {'id':'IndiaGram','url':'http://www.indiagram.com/mock/bookmarks/desitrain?action=add&amp;address=%(url)s&amp;title=%(title)s','logo':'indiagram.png'},
                 {'id':'IndianPad','url':'http://www.indianpad.com/submit.php?url=%(url)s','logo':'indianpad.png'},
                 {'id':'Internetmedia','url':'http://internetmedia.hu/submit.php?url=%(url)s','logo':'im.png'},
                 {'id':'kick.ie','url':'http://kick.ie/submit/?url=%(url)s&amp;title=%(title)s','logo':'kickit.png'},
                 {'id':'LinkaGoGo','url':'http://www.linkagogo.com/go/AddNoPopup?url=%(url)s&amp;title=%(title)s','logo':'linkagogo.png'},
                 {'id':'Linkter','url':'http://www.linkter.hu/index.php?action=suggest_link&amp;url=%(url)s&amp;title=%(title)s','logo':'linkter.png'},
                 {'id':'Ma.gnolia','url':'http://ma.gnolia.com/bookmarklet/add?url=%(url)s&amp;title=%(title)s','logo':'magnolia.png'},
                 {'id':'MisterWong','url':'http://www.mister-wong.com/addurl/?bm_url=%(url)s&amp;bm_description=%(title)s&amp;plugin=soc','logo':'misterwong.gif'},
                 {'id':'MyShare','url':'http://myshare.url.com.tw/index.php?func=newurl&amp;url=%(url)s&amp;desc=%(title)s','logo':'myshare.png'},
                 {'id':'NewsVine','url':'http://www.newsvine.com/_tools/seed&amp;save?u=%(url)s&amp;h=%(title)s','logo':'newsvine.png'},
                 {'id':'Netscape','url':'http://www.netscape.com/submit/?U=%(url)s&amp;T=%(title)s','logo':'netscape.gif'},
                 {'id':'Netvouz','url':'http://www.netvouz.com/action/submitBookmark?url=%(url)s&amp;title=%(title)s&amp;popup=no','logo':'netvouz.png'},
                 {'id':'PlugIM','url':'http://www.plugim.com/submit?url=%(url)s&amp;title=%(title)s','logo':'plugim.png'},
                 {'id':'PopCurrent','url':'http://popcurrent.com/submit?url=%(url)s&amp;title=%(title)s&amp;rss=','logo':'popcurrent.png'},
                 {'id':'ppnow','url':'http://www.ppnow.net/submit.php?url=%(url)s','logo':'ppnow.png'},
                 {'id':'RawSugar','url':'http://www.rawsugar.com/tagger/?turl=%(url)s&amp;tttl=%(title)s','logo':'rawsugar.png'},
                 {'id':'Rec6','url':'http://www.syxt.com.br/rec6/link.php?url=%(url)s&amp;=%(title)s','logo':'rec6.gif'},
                 {'id':'Reddit','url':'http://reddit.com/submit?url=%(url)s&amp;title=%(title)s','logo':'reddit.png'},
                 {'id':'Scoopeo','url':'http://www.scoopeo.com/scoop/new?newurl=%(url)s&amp;title=%(title)s','logo':'scoopeo.png'},
                 {'id':'scuttle','url':'http://www.scuttle.org/bookmarks.php/maxpower?action=add&amp;address=%(url)s&amp;title=%(title)s','logo':'scuttle.png'},
                 {'id':'Shadows','url':'http://www.shadows.com/features/tcr.htm?url=%(url)s&amp;title=%(title)s','logo':'shadows.png'},
                 {'id':'Simpy','url':'http://www.simpy.com/simpy/LinkAdd.do?href=%(url)s&amp;title=%(title)s&amp;src=sociable-','logo':'simpy.png'},
                 {'id':'Slashdot','url':'http://slashdot.org/bookmark.pl?title=%(title)s&amp;url=%(url)s','logo':'slashdot.png'},
                 {'id':'Smarking','url':'http://smarking.com/editbookmark/?url=%(url)s&amp;title=%(title)s','logo':'smarking.png'},
                 {'id':'Spurl','url':'http://www.spurl.net/spurl.php?url=%(url)s&amp;title=%(title)s','logo':'spurl.png'},
                 {'id':'SphereIt','url':'http://www.sphere.com/search?q=sphereit:%(url)s&amp;title=%(title)s','logo':'sphere.png'},
                 {'id':'StumbleUpon','url':'http://www.stumbleupon.com/url/%(url)s','logo':'stumbleupon.png'},
                 {'id':'Taggly','url':'http://taggly.com/bookmarks.php/pass?action=add&amp;address=','logo':'taggly.png'},
                 {'id':'TailRank','url':'http://tailrank.com/share/?text=&amp;link_href=%(url)s&amp;title=%(title)s','logo':'tailrank.png'},
                 {'id':'ThisNext','url':'http://www.thisnext.com/pick/new/submit/sociable/?url=%(url)s&amp;name=%(title)s','logo':'thisnext.png'},
                 {'id':'Webride','url':'http://webride.org/discuss/split.php?uri=%(url)s&amp;title=%(title)s','logo':'webride.png'},
                 {'id':'Wists','url':'http://wists.com/s.php?c=&amp;r=%(url)s&amp;title=%(title)s','logo':'wists.png'},
                 {'id':'Wykop','url':'http://www.wykop.pl/dodaj?url=%(url)s','logo':'wykop.gif'},
                 {'id':'YahooBuzz','url':'http://buzz.yahoo.com/submit/?submitUrl=%(url)s&amp;submitHeadline=%(title)s','logo':'yahoo-buzz.png'},]
